Get mDoc credential template by id.
curl --request GET \
--url https://test.didxtech.com/me-creds/api/v1/templates/credentials/mdoc/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://test.didxtech.com/me-creds/api/v1/templates/credentials/mdoc/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://test.didxtech.com/me-creds/api/v1/templates/credentials/mdoc/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"name": "National ID",
"description": "South African national identity document",
"attributes": {
"za.co.didx": {
"properties": {
"firstName": {
"type": "string",
"name": "First Name",
"required": true
}
}
}
},
"createdAt": "2025-02-20T11:27:37.051Z",
"updatedAt": "2025-02-20T11:27:37.051Z",
"archivedAt": null,
"format": "mdoc",
"id": "6421a8905c17830c188e2e30",
"type": "za.co.didx.national-id",
"validUntil": {
"future": {
"days": 365
}
},
"issuer": {
"signer": "certificate",
"keyType": "P-256"
}
},
"links": {
"self": "<string>",
"first": "<string>",
"last": "<string>",
"prev": "<string>",
"next": "<string>",
"related": "<string>"
},
"meta": {},
"errors": [
{
"detail": "<string>",
"id": "<string>",
"status": "<string>",
"code": "<string>",
"title": "<string>",
"source": {
"pointer": "<string>",
"parameter": "<string>"
},
"meta": {}
}
]
}Credential Templates API
Get mDoc credential template by id (v1)
GET
/
v1
/
templates
/
credentials
/
mdoc
/
{id}
Get mDoc credential template by id.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Response
mDoc credential template resource.
Show child attributes
Show child attributes
Example:
{
"name": "National ID",
"description": "South African national identity document",
"attributes": {
"za.co.didx": {
"properties": {
"firstName": {
"type": "string",
"name": "First Name",
"required": true
}
}
}
},
"createdAt": "2025-02-20T11:27:37.051Z",
"updatedAt": "2025-02-20T11:27:37.051Z",
"archivedAt": null,
"format": "mdoc",
"id": "6421a8905c17830c188e2e30",
"type": "za.co.didx.national-id",
"validUntil": { "future": { "days": 365 } },
"issuer": {
"signer": "certificate",
"keyType": "P-256"
}
}
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I

